Subject: Re: Index area concept and blowing it up

From: Andreas Ericsson <[email-masked]>
Date: Thu, 29 Mar 2012 12:42:56 +0200

On 03/29/2012 04:11 AM, anjibman wrote:
> Hi All,
> 
> My first question is where is this index actually in Git. Is that a some
> folder or some location?
> 
> Second, how really Git keep information about index?
> 
> Third, in git community book it says " If you blow the index away entirely,
> you generally haven't lost any information as long as you have the name of
> the tree that it described". I didn't get this statement can any one explain
> this in simple words.
> 
> And finally why git add is used for both adding untrack file as well as to
> move file to stage area? Is there any particular reason for this?
> 

index = staging area.
committing = creating a commit object out of the staging area.

When a book talks about "move file to staging area", it really means
"add to the set of files we're about to create a commit object from".

That might help clear things up. 

However; Your questions all seem rather technical, but you don't strike
me as a programmer yourself. If you give us the reason behind your
questions, it'll almost certainly be easier for us to answer them in a
way that's useful to you while wasting the minimum amount of our time.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.